Bug 1275883 - problems sending >16K patches with git send-email
problems sending >16K patches with git send-email
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-28 00:28 EDT by Paolo Bonzini
Modified: 2015-12-31 22:50 EST (History)
5 users (show)

See Also:
Fixed In Version: git-2.5.0-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-31 22:50:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2015-10-28 00:28:34 EDT
See here: http://lists-archives.com/git/846970-git-send-email-connection-closed.html for a description of the bug and a workaround:

> > Net::SMTP::SSL=GLOB(0x1fb3558)>>> +MODULE_LICENSE("GPL");
> > Net::SMTP::SSL=GLOB(0x1fb3558)>>> -- 
> > Net::SMTP::SSL=GLOB(0x1fb3558)>>> 2.4.5
> > Net::SMTP::SSL: Net::Cmd::datasend(): unexpected EOF on command channel:
> >  at /usr/lib/git-core/git-send-email line 1320.
> > [Net::SMTP::SSL] Connection closed at /usr/lib/git-core/git-send-email
> > line 1320.
> > 
> > It seems to me that there is a size limit, after cutting down the patch
> > to ~16K, sending started to work. I cut it twice, once by removing lines
> > from the head and once from the bottom, in both cases at the size of
> > around 16K I could send the patch.
> I found a work-around by using datasend line by line, which did the job
> for me:
> Altering /usr/lib/git-core/git-send-email, around line 1320:
>                 $smtp->datasend("$header\n") or die $smtp->message;
>                 my @lines = split /^/, $message;
>                 foreach my $line (@lines) {
>                         $smtp->datasend("$line") or die $smtp->message;
>                 }
Comment 1 Richard Henderson 2015-12-22 15:11:18 EST
FYI, fix present in upstream 2.7.0-rc1.
Comment 2 pstodulk 2015-12-23 04:41:39 EST
Thanks Richard for information. I will backport patch soon.
Comment 3 pstodulk 2015-12-26 23:35:11 EST
Bug is here since F23 due to rebase of perl. F23 will be fixed by patch, however rawhide version will be fixed by rebase to 2.7.0 later, I assume during January.
Comment 4 Fedora Update System 2015-12-27 00:05:06 EST
git-2.5.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7a07ef654
Comment 5 Fedora Update System 2015-12-28 19:55:21 EST
git-2.5.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7a07ef654
Comment 6 Fedora Update System 2015-12-31 22:50:47 EST
git-2.5.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.